libperlio-utf8-strict-perl_0.007-2_i386.deb


Advertisement

Description

libperlio-utf8-strict-perl - fast and correct UTF-8 Perl IO module

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Universe i386
Package name libperlio-utf8-strict-perl
Package version 0.007
Package release 2
Package architecture i386
Package type deb
Installed size 39 B
Download size 10.89 KB
Official Mirror archive.ubuntu.com
PerlIO::utf8_strict provides a fast and correct UTF-8 PerlIO layer.
Unlike perl's default :utf8 layer it checks the input for correctness
and will croak if it finds an ill-formed UTF-8 octet sequence or
noncharacter code points not meant for interchange.

Alternatives

Package Version Architecture Repository
libperlio-utf8-strict-perl_0.007-2_amd64.deb 0.007 amd64 Ubuntu Universe
libperlio-utf8-strict-perl - - -

Requires

Name Value
libc6 >= 2.4
perl >= 5.26.1-4
perlapi-5.26.1 -

Download

Type URL
Binary Package libperlio-utf8-strict-perl_0.007-2_i386.deb
Source Package libperlio-utf8-strict-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libperlio-utf8-strict-perl deb package:
    # sudo apt-get install libperlio-utf8-strict-perl

Files

Path
/usr/lib/i386-linux-gnu/perl5/5.26/PerlIO/utf8_strict.pm
/usr/lib/i386-linux-gnu/perl5/5.26/auto/PerlIO/utf8_strict/utf8_strict.so
/usr/share/doc/libperlio-utf8-strict-perl/changelog.Debian.gz
/usr/share/doc/libperlio-utf8-strict-perl/copyright
/usr/share/man/man3/PerlIO::utf8_strict.3pm.gz

Changelog

2018-01-21 - intrigeri <intrigeri@debian.org>
libperlio-utf8-strict-perl (0.007-2) unstable; urgency=medium
* Team upload.
[ Damyan Ivanov ]
* declare conformance with Policy 4.1.3 (no changes needed)
[ intrigeri ]
* Enable all hardening build options.
* Bump debhelper compatibility level to 11.
2017-10-08 - Florian Schlichting <fsfs@debian.org>
libperlio-utf8-strict-perl (0.007-1) unstable; urgency=medium
[ gregor herrmann ]
* Rename autopkgtest configuration file(s) as per new pkg-perl-
autopkgtest schema.
[ Salvatore Bonaccorso ]
* debian/control: Use HTTPS transport protocol for Vcs-Git URI
[ gregor herrmann ]
* debian/copyright: change Copyright-Format 1.0 URL to HTTPS.
* debian/upstream/metadata: change GitHub/CPAN URL(s) to HTTPS.
* debian/upstream/metadata: use HTTPS for GitHub URLs.
[ Florian Schlichting ]
* Import upstream version 0.007
* Update copyright years
* Declare compliance with Debian Policy 4.1.1
2015-07-09 - gregor herrmann <gregoa@debian.org>
libperlio-utf8-strict-perl (0.006-1) unstable; urgency=medium
* Team upload.
* Add debian/upstream/metadata.
* Import upstream version 0.006.
* debian/copyright: add information about new ppport.h.
* Drop build dependency on libmodule-build-perl.
* Declare compliance with Debian Policy 3.9.6.
* Fix email address in debian/upstream/metadata. Thanks to DUCK.
2015-05-27 - Niko Tyni <ntyni@debian.org>
libperlio-utf8-strict-perl (0.004-2) unstable; urgency=medium
* Team upload.
[ Salvatore Bonaccorso ]
* Update Vcs-Browser URL to cgit web frontend
[ Niko Tyni ]
* Add build dependency on libmodule-build-perl.
* Declare the package autopkgtestable.
2014-03-04 - Florian Schlichting <fsfs@debian.org>
libperlio-utf8-strict-perl (0.004-1) unstable; urgency=low
* Initial Release. (Closes: #740281)

See Also

Package Description
libperlio-via-dynamic-perl_0.14-1_all.deb module to create dynamic PerlIO layers
libperlio-via-symlink-perl_0.05-3_all.deb PerlIO layer for creating symlinks
libperlio-via-timeout-perl_0.32-1_all.deb PerlIO layer that adds read & write timeout to a handle
libperlmenu-perl_4.0-5_all.deb Menu and Template (curses-based) UI for Perl
libperlspeak-perl_2.01-2_all.deb Perl Module for text to speech with festival, espeak, cepstral
libperlx-assert-perl_0.905-1_all.deb yet another assertion keyword
libperlx-maybe-perl_1.001-1_all.deb return a pair only if they are both defined
libperlx-maybe-xs-perl_1.001-2build4_i386.deb XS backend for PerlX::Maybe
libpetal-perl_2.23-2_all.deb Perl Template Attribute Language - TAL for perl
libpetal-utils-perl_0.06-3_all.deb Useful template modifiers for Petal
libpetsc-complex-3.7-dev_3.7.7+dfsg1-2build5_i386.deb Static libraries, shared links, header files for PETSc
libpetsc-complex-3.7.7-dev_3.7.7+dfsg1-2build5_i386.deb Static libraries, shared links, header files for PETSc
libpetsc-complex-3.7.7_3.7.7+dfsg1-2build5_i386.deb Shared libraries for version 3.7 of PETSc with Complex Numbers
libpetsc3.7-dev_3.7.7+dfsg1-2build5_i386.deb Static libraries, shared links, header files for PETSc
libpetsc3.7.7-dev_3.7.7+dfsg1-2build5_i386.deb Static libraries, shared links, header files for PETSc
Advertisement
Advertisement